Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.css
Class StyleSheetException

    java.lang.Object
      BirtException
          org.eclipse.birt.report.model.api.ModelException
              org.eclipse.birt.report.model.api.css.StyleSheetException

    public class StyleSheetException

extends ModelException

Exception thrown if an error occurs when reading an external style sheet.

Field Summary
`static java.lang.String` | `DESIGN_EXCEPTION_STYLE_SHEET_NOT_FOUND` The style sheet is not found.
`static java.lang.String` | `DESIGN_EXCEPTION_SYNTAX_ERROR` The syntax error, when the style sheet file doesn't conform CSS2 grammar.

Fields inherited from class org.eclipse.birt.report.model.api.ModelException
`PLUGIN_ID`

Constructor Summary
`StyleSheetException(java.lang.String errCode)` Constructs the style sheet exception with the error code.
`StyleSheetException(java.lang.String errCode, java.lang.Throwable cause)` Constructs the style sheet exception with the error code and the nested exception.

Method Summary
`java.lang.String` | `getLocalizedMessage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESIGN_EXCEPTION_STYLE_SHEET_NOT_FOUND

    public static final java.lang.String DESIGN_EXCEPTION_STYLE_SHEET_NOT_FOUND

  The style sheet is not found.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_SYNTAX_ERROR

    public static final java.lang.String DESIGN_EXCEPTION_SYNTAX_ERROR

  The syntax error, when the style sheet file doesn't conform CSS2 grammar.

  See Also:
    Constant Field Values

Constructor Detail

### StyleSheetException

    public StyleSheetException(java.lang.String errCode)

  Constructs the style sheet exception with the error code.

  Parameters:
    `errCode` - the error code of the exception

### StyleSheetException

    public StyleSheetException(java.lang.String errCode,
                               java.lang.Throwable cause)

  Constructs the style sheet exception with the error code and the nested exception.

  Parameters:
    `errCode` - the error code of the exception
    `cause` - the nested exception

Method Detail

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.